pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Dai (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PIG-3513) Upgrade snappy.java to 1.1.0-M4
Date Sun, 25 May 2014 22:57:02 GMT

     [ https://issues.apache.org/jira/browse/PIG-3513?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daniel Dai updated PIG-3513:
----------------------------

    Fix Version/s:     (was: 0.13.0)
                   0.14.0

> Upgrade snappy.java to 1.1.0-M4
> -------------------------------
>
>                 Key: PIG-3513
>                 URL: https://issues.apache.org/jira/browse/PIG-3513
>             Project: Pig
>          Issue Type: Bug
>          Components: impl
>            Reporter: Daniel Dai
>            Assignee: Daniel Dai
>             Fix For: 0.13.0
>
>         Attachments: PIG-3513-1.patch
>
>
> TestAvroStorage fail on some platform (such as CentOs5) with the message:
> org.xerial.snappy.SnappyError: [FAILED_TO_LOAD_NATIVE_LIBRARY] null
> 	at org.xerial.snappy.SnappyLoader.load(SnappyLoader.java:223)
> 	at org.xerial.snappy.Snappy.<clinit>(Snappy.java:48)
> 	at org.apache.avro.file.SnappyCodec.compress(SnappyCodec.java:43)
> 	at org.apache.avro.file.DataFileStream$DataBlock.compressUsing(DataFileStream.java:349)
> 	at org.apache.avro.file.DataFileWriter.writeBlock(DataFileWriter.java:348)
> 	at org.apache.avro.file.DataFileWriter.sync(DataFileWriter.java:360)
> 	at org.apache.avro.file.DataFileWriter.flush(DataFileWriter.java:367)
> 	at org.apache.avro.file.DataFileWriter.close(DataFileWriter.java:375)
> 	at org.apache.avro.tool.DataFileWriteTool.run(DataFileWriteTool.java:111)
> 	at org.apache.pig.builtin.TestAvroStorage.generateAvroFile(TestAvroStorage.java:269)
> 	at org.apache.pig.builtin.TestAvroStorage.generateInputFiles(TestAvroStorage.java:223)
> 	at org.apache.pig.builtin.TestAvroStorage.setup(TestAvroStorage.java:127)
> This seems to be a bug in snapp-java, more information can be found in https://github.com/xerial/snappy-java/issues/17
> Upgrade snappy-java to 1.1.0-M4 solves the issue.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message